#!/usr/bin/env bash
RTLS_CENTRALIZED_SITEWISE_PREFIX=/usr/rtls/rtls-centralized-sitewise

## Renew rtls-api-gateway.service file
if [ -e $RTLS_CENTRALIZED_SITEWISE_PREFIX/devops/sys-services/rtls-centralized-sitewise.service ]; then
  cp $RTLS_CENTRALIZED_SITEWISE_PREFIX/devops/sys-services/rtls-centralized-sitewise.service /usr/lib/systemd/system
  chmod 644 /usr/lib/systemd/system/rtls-centralized-sitewise.service
  chown ubuntu:ubuntu /usr/lib/systemd/system/rtls-centralized-sitewisey.service
fi

if [ -f /tmp/rtls-sitewise-portal/.env ]; then
  cp /tmp/rtls-sitewise-portal/.env "$RTLS_CENTRALISED_SERVICE_PREFIX/apps/rtls-sitewise-portal/.next/standalone/.env"
else
  echo ".env does not exist in tmp, skipping copy."
fi

service rtls-centralized-sitewise start

exit 0
