#!/usr/bin/env bash
RTLS_CENTRALISED_SERVICE_PREFIX=/usr/rtls/rtls-centralized-sitewise/apps/rtls-sitewise-portal

if [ -f "$RTLS_CENTRALISED_SERVICE_PREFIX/.next/standalone/.env" ]; then
  cp -rf "$RTLS_CENTRALISED_SERVICE_PREFIX/.next/standalone/.env" /tmp/rtls-sitewise-portal/.env
else
  echo ".env does not exist, skipping copy."
fi

if sudo systemctl is-active --quiet rtls-centralized-sitewise; then
    echo "Stopping rtls-centralized-sitewise"
    sudo systemctl stop rtls-centralized-sitewise
else
    echo "rtls-centralized-sitewise is not active. No need to stop."
fi
