import {VersionSelector} from '@/features/versions/components';
import {config} from '@/config';

export function Footer() {
    return <div className="text-gray-900">
        <div className="flex justify-center mb-4">
            <img src="/app/iwarehouse-logo.png" className="w-36 mx-auto"/>
        </div>
        <div className="flex justify-center">
            <VersionSelector/>
        </div>
        <div>© {config.releaseYear || new Date().getFullYear()} Redpoint Positioning Corp.</div>
    </div>;
}
